Page MenuHomePhabricator

RevisionSlider should use the OOUI help icon button instead of a '?' message
Closed, ResolvedPublic3 Story Points

Description

Furthermore, when adding the new help icon, please make sure it is correctly aligned to the page and does not stand further to the right than the elements of the menu bar above

Background:
The revisionSlider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revisionSlider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is a solution to fulfill a wish of the German Community Wishlist:

English link: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes
German link: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff or in

Event Timeline

Esanders created this task.Jul 1 2016, 9:44 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 1 2016, 9:44 AM
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.Jul 5 2016, 2:56 PM
WMDE-leszek set the point value for this task to 3.Aug 2 2016, 11:56 AM
Lea_WMDE updated the task description. (Show Details)Aug 3 2016, 10:10 AM
Lea_WMDE moved this task from Backlog to Doing on the Revision-Slider board.Aug 3 2016, 3:13 PM
WMDE-leszek triaged this task as Normal priority.
WMDE-leszek moved this task from Backlog to Doing on the TCB-Team-Sprint-2016-08-02 board.

Change 302911 had a related patch set uploaded (by WMDE-leszek):
Use OOjs UI help icon widget instead of button with message

https://gerrit.wikimedia.org/r/302911

Change 302911 merged by jenkins-bot:
Make the "show help" button a OOjs ButtonWidget

https://gerrit.wikimedia.org/r/302911

Tobi_WMDE_SW closed this task as Resolved.Aug 30 2016, 8:40 AM
Addshore moved this task from Doing to Done on the Revision-Slider board.Sep 13 2016, 2:50 PM